Bug 1813146 - Upgradeable field not set to False when in Managed state
Summary: Upgradeable field not set to False when in Managed state
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Catalog
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Jesus M. Rodriguez
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On: 1813147
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-13 04:15 UTC by Jesus M. Rodriguez
Modified: 2020-05-04 11:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: When the Service Catalog CRs are set to Managed state, the Upgradeable field is set to False. This will allow z-stream upgrades but block major upgrades. Reason: The Service Catalog will be removed from OpenShift 4.5. Setting Upgradeable to False will prevent customers that are using Service Catalog from upgrading to 4.5 and potentially removing something they were depending on. In order, to upgrade, the Service Catalog must be put into Removed state which will remove the Service Catalog. Or the can put it in Unmanaged state which means the customer takes responsiblity for managing the Service Catalog installation. Result:
Clone Of:
: 1813147 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:45:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-svcat-apiserver-operator pull 78 None closed Bug 1813146: set Upgradeable False when in Managed state 2020-09-15 07:23:12 UTC
Github openshift cluster-svcat-controller-manager-operator pull 72 None closed Bug 1813146: set Upgradeable False when in Managed state 2020-09-15 07:23:10 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:46:15 UTC

Description Jesus M. Rodriguez 2020-03-13 04:15:52 UTC
Description of problem:

The Service Catalog apiserver and controller-manager operators do not set the Upgradeable field to False when the managementState is set to Managed.

apiVersion: v1
items:
- apiVersion: operator.openshift.io/v1
  kind: ServiceCatalogAPIServer
  metadata:
    annotations:
      release.openshift.io/create-only: "true"
    creationTimestamp: "2020-03-13T01:33:08Z"
    generation: 2
    name: cluster
    resourceVersion: "20727"
    selfLink: /apis/operator.openshift.io/v1/servicecatalogapiservers/cluster
    uid: 1121e36a-ade6-47f5-9172-e2a023211278
  spec:
    logLevel: Normal
    managementState: Managed
  status:
    conditions:
    - lastTransitionTime: "2020-03-13T01:54:09Z"
      status: "True"
      type: Available
    - lastTransitionTime: "2020-03-13T01:53:29Z"
      status: "False"
      type: Progressing
    - lastTransitionTime: "2020-03-13T01:36:56Z"
      reason: Removed
      status: "False"
      type: Degraded
    - lastTransitionTime: "2020-03-13T01:52:47Z"
      reason: NoUnsupportedConfigOverrides
      status: "True"
      type: UnsupportedConfigOverridesUpgradeable
    - lastTransitionTime: "2020-03-13T01:52:49Z"
      status: "False"
      type: ResourceSyncControllerDegraded
    - lastTransitionTime: "2020-03-13T01:53:09Z"
      status: "False"
      type: WorkloadDegraded
    generations:
    - group: apps
      hash: ""
      lastGeneration: 2
      name: apiserver
      namespace: openshift-service-catalog-apiserver
      resource: daemonsets
    observedGeneration: 2
    readyReplicas: 0
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""

apiVersion: v1
items:
- apiVersion: operator.openshift.io/v1
  kind: ServiceCatalogControllerManager
  metadata:
    annotations:
      release.openshift.io/create-only: "true"
    creationTimestamp: "2020-03-13T01:33:08Z"
    generation: 2
    name: cluster
    resourceVersion: "20644"
    selfLink: /apis/operator.openshift.io/v1/servicecatalogcontrollermanagers/cluster
    uid: 91595e09-9e5e-478c-9b62-d7c5e96d8067
  spec:
    logLevel: Normal
    managementState: Managed
  status:
    conditions:
    - lastTransitionTime: "2020-03-13T01:36:49Z"
      status: "True"
      type: Upgradeable
    - lastTransitionTime: "2020-03-13T01:53:53Z"
      status: "True"
      type: Available
    - lastTransitionTime: "2020-03-13T01:52:39Z"
      reason: DesiredStateAchieved
      status: "False"
      type: Progressing
    - lastTransitionTime: "2020-03-13T01:36:49Z"
      reason: Removed
      status: "False"
      type: Degraded
    - lastTransitionTime: "2020-03-13T01:52:35Z"
      status: "False"
      type: WorkloadDegraded
    generations:
    - group: apps
      hash: ""
      lastGeneration: 2
      name: controller-manager
      namespace: openshift-service-catalog-controller-manager
      resource: daemonsets
    observedGeneration: 2
    readyReplicas: 0
    version: 4.4.0-0.nightly-2020-03-12-205413
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""

Comment 4 Fan Jia 2020-03-25 10:27:28 UTC
cv:4.4.0-0.nightly-2020-03-24-225110
test result: 
enable "ServiceCatalogAPIServer" "ServiceCatalogControllerManager". And the status of "Upgradeable" are "False"

$ oc get clusteroperators service-catalog-apiserver -o yaml
apiVersion: config.openshift.io/v1
kind: ClusterOperator
metadata:
  creationTimestamp: "2020-03-25T06:25:02Z"
  generation: 1
  name: service-catalog-apiserver
  resourceVersion: "88189"
  selfLink: /apis/config.openshift.io/v1/clusteroperators/service-catalog-apiserver
  uid: d91d76cf-3493-4af5-9b56-38191bcae6b4
spec: {}
status:
  conditions:
  - lastTransitionTime: "2020-03-25T06:25:05Z"
    reason: AsExpected
    status: "False"
    type: Degraded
  - lastTransitionTime: "2020-03-25T06:51:05Z"
    reason: AsExpected
    status: "False"
    type: Progressing
  - lastTransitionTime: "2020-03-25T08:56:30Z"
    reason: AsExpected
    status: "True"
    type: Available
  - lastTransitionTime: "2020-03-25T06:50:44Z"
    message: 'Upgradeable: the apiserver is in a managed state, upgrades are not possible.'
    reason: _Managed
    status: "False"
    type: Upgradeable

$ oc get clusteroperators service-catalog-controller-manager -o yaml
apiVersion: config.openshift.io/v1
kind: ClusterOperator
metadata:
  creationTimestamp: "2020-03-25T06:25:02Z"
  generation: 1
  name: service-catalog-controller-manager
  resourceVersion: "28329"
  selfLink: /apis/config.openshift.io/v1/clusteroperators/service-catalog-controller-manager
  uid: 7f255586-0194-496a-817f-e4b7a2223b23
spec: {}
status:
  conditions:
  - lastTransitionTime: "2020-03-25T06:25:03Z"
    reason: AsExpected
    status: "False"
    type: Degraded
  - lastTransitionTime: "2020-03-25T06:50:19Z"
    reason: AsExpected
    status: "False"
    type: Progressing
  - lastTransitionTime: "2020-03-25T06:51:53Z"
    reason: AsExpected
    status: "True"
    type: Available
  - lastTransitionTime: "2020-03-25T06:50:15Z"
    message: 'Upgradeable: the controller manager is in a managed state, upgrades
      are not possible.'
    reason: _Managed
    status: "False"
    type: Upgradeable

Comment 6 errata-xmlrpc 2020-05-04 11:45:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.